Subject: bug#31324: 26.0.91; Wrong AXSubrole of childframe on macOS

From: Alan Third <[email-masked]>
Date: Tue, 22 May 2018 20:40:02 +0100

On Sun, May 20, 2018 at 02:33:28PM +0800, Fu Yuan wrote:
> Hi Alan,
> 
> I applied the patch and rebuilt Emacs, then ran
> 
>     (let ((frame (selected-frame)))
>       (make-frame-command)
>       (set-frame-parameter nil 'parent-frame frame))
> 
> And the subrole of the new frame is now “AXFloatingWindow”.
> 
> I think that will do it. It there anything else that I can do?

Thanks for your help. The only thing that would be helpful for now is
if you could run with this patch applied for a while and look out for
anything unexpected. I don’t think it will cause problems, but you
never know!

Unfortunately, I think this will have to wait until Emacs 26.2.

Eli, should it be added to master then cherry‐picked back to emacs-26
when we’re ready, or am I best just waiting?
-- 
Alan Third